Subject: Reappointment of Adrian Farrel as Independent Submission Editor

From: IAB Executive Administrative Manager <[email-masked]>
Date: Tue, 05 Nov 2019 15:06:59 -0800

The Internet Architecture Board is pleased to announce the reappointment 
of Adrian Farrel as the Independent Submissions Editor (ISE). This 
appointment is for a two-year term beginning on 15 February 2020.

The IAB thanks Adrian for his continued willingness to serve the 
community in this capacity.

On behalf of the IAB,
Cindy Morgan
IAB Executive Administrative Manager